<?php
include dirname(__FILE__)."/config/config.php";

// размер и битрейт
$mg5_agr=$_POST['md5_arg'];
$val_url=$_POST['val_url'];
if($full_list[ssbit]=="true" OR $full_list[sssize]=="true"){
	if($full_list[sscache]=="true"){
		if(is_file(dirname(__FILE__)."/cache/".md5($mg5_agr).".txt")){
			$lola=unserialize( trim( @file_get_contents(dirname(__FILE__)."/cache/".md5($mg5_agr).".txt") ) );
			if(isset($lola[bit])) $lsize[bit]=$lola[bit];
			if(isset($lola[size])) $lsize[size]=$lola[size];
		}
		else {
			if($full_list[ssbit]=="true" AND $full_list[sssize]=="true") $lsize=get_bitrate($val_url);
			else if($full_list[sssize]=="true") $lsize=@remote_filesize($val_url);
			else if($full_list[ssbit]=="true"){ $lsize=@get_bitrate($val_url); unset($lsize[size]); }
			if($lsize[bit]) $lsize[bit].=' kbit/s';
			if($lsize[size]) $lsize[size]=crat_size($lsize[size], '%01.2lf %s', 'mb');
			if($lsize[size] OR $lsize[bit]){
				$fff=fopen(dirname(__FILE__)."/cache/".md5($mg5_agr).".txt",w);
				flock($fff, LOCK_EX);
				fputs($fff,serialize($lsize));
				flock($fff, LOCK_UN); 
				fclose($fff);
			}
		}
	}
	else {
		if($full_list[ssbit]=="true" AND $full_list[sssize]=="true") $lsize=get_bitrate($val_url);
		else if($full_list[sssize]=="true") $lsize=remote_filesize($val_url);
		else if($full_list[ssbit]=="true"){ $lsize=get_bitrate($val_url); unset($lsize[size]); }
		if($lsize[bit]) $lsize[bit].=' kbit/s';
		if($lsize[size]) $lsize[size]=crat_size($lsize[size], '%01.2lf %s', '1mb');
	}
}

echo "<b><div style='top:4px;'>".$lsize[bit]."</b></div><br><br><b><div style='top:9px;'>".$lsize[size]."</b></div>";